SAGA various Interpolations fail in Processing

2015-04-06 10:27 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20664

Description

Output della console di esecuzione di SAGA

Unknown option 'USER_SIZE'

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________

SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libgrid_spline

library     :    Spline Interpolation

tool        :    Multilevel B-Spline Interpolation

author      :    (c) 2006 by O.Conrad

processors  :    4 [4]

____________________

Usage: saga_cmd grid_spline 4 -SHAPES <str> [-FIELD <str>] [-METHOD <str>] [-EPSILON <str>] [-LEVEL_MAX <num>] [-UPDATE

<str>] [-TARGET_DEFINITION <str>] [-TARGET_USER_XMIN <str>] [-TARGET_USER_XMAX <str>] [-TARGET_USER_YMIN <str>]

[-TARGET_USER_YMAX <str>] [-TARGET_USER_SIZE <str>] [-TARGET_USER_FITS <str>] [-TARGET_TEMPLATE <str>]

[-TARGET_OUT_GRID <str>]

-SHAPES:<str>               Points

Shapes (input)

-FIELD:<str>                Attribute

Table field

-METHOD:<str>               Method

Choice

Available Choices:

[0] without B-spline refinement

[1] with B-spline refinement

Default: 1

-EPSILON:<str>              Threshold Error

Floating point
Minimum: 0.000000

Default: 0.000100

-LEVEL_MAX:<num>            Maximum Level

Integer

Minimum: 1

Maximum: 14

Default: 11

-UPDATE:<str>               Update View

Boolean

Default: 0

-TARGET_DEFINITION:<str>    Target Grid System

Choice

Available Choices:

[0] user defined

[1] grid or grid system

Default: 0

-TARGET_USER_XMIN:<str>     Left

Floating point

Default: 0.000000

-TARGET_USER_XMAX:<str>     Right

Floating point

Default: 100.000000

-TARGET_USER_YMIN:<str>     Bottom

Floating point

Default: 0.000000

-TARGET_USER_YMAX:<str>     Top

Floating point

Default: 100.000000

-TARGET_USER_SIZE:<str>     Cellsize

Floating point

Minimum: 0.000000

Default: 1.000000

-TARGET_USER_FITS:<str>     Fit

Choice

Available Choices:

[0] nodes

[1] cells

Default: 0

-TARGET_TEMPLATE:<str>      Target System

Grid (optional input)

-TARGET_OUT_GRID:<str>      Target Grid

Grid (output)

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________
SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libio_gdal

library     :    GDAL/OGR

tool        :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

processors  :    4 [4]

____________________

Load grid: /tmp/processing/b7c0a6eda54c4724834fcf1c3473890f/USERGRID.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

History

#1 - 2015-04-06 10:33 PM - Paolo Cavallini

- Subject changed from SAGA Multilevel B-Spline Interpolation fails in Processing to SAGA various Interpolations fail in Processing

Same for Inverse Distance Weighted as for Multilevel B-Spline, possibly others

#2 - 2015-04-07 09:41 AM - Paolo Cavallini

See an explanation here: http://sourceforge.net/p/saga-gis/wiki/Compatibility%202.1.3/

#3 - 2015-04-08 01:33 AM - Paolo Cavallini

Replace USER_SIZE with TARGET_USER_SIZE etc. Partially fixed in master.

#4 - 2015-04-09 04:43 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Assignee changed from Victor Olaya to Giovanni Manghi

- Status changed from Open to In Progress

fixed with

https://github.com/qgis/QGIS/pull/1984

#5 - 2015-04-09 05:07 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

#6 - 2015-04-10 01:54 AM - Paolo Cavallini

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened
Also thin plate commands have the same issue. Possibly also:

B-SplineApproximation.txt:OutputRaster|USER_GRID|Grid

CubicSplineApproximation.txt:OutputRaster|USER_GRID|Grid

GeographicallyWeightedRegression.txt:OutputRaster|USER_GRID|Grid

ModifedQuadraticShepard.txt:OutputRaster|USER_GRID|Grid

Mosaicking.txt:OutputRaster|USER_GRID|Mosaicked Grid

NaturalNeighbour.txt:OutputRaster|USER_GRID|Grid

NearestNeighbour.txt:OutputRaster|USER_GRID|Grid

OrdinaryKriging.txt:OutputRaster|USER_GRID|Grid

PolynomialRegression.txt:OutputRaster|USER_GRID|Grid

RandomField.txt:OutputRaster|USER_GRID|Random Field

Resampling.txt:OutputRaster|USER_GRID|Grid

ThinPlateSpline(Global).txt:OutputRaster|USER_GRID|Grid

ThinPlateSpline(Local).txt:OutputRaster|USER_GRID|Grid

ThinPlateSpline(TIN).txt:OutputRaster|USER_GRID|TIN

Triangulation.txt:OutputRaster|USER_GRID|Grid

#7 - 2015-06-01 07:00 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed

fixed with https://github.com/qgis/QGIS/pull/2098
